// � 2005 Don Cottrell

/* COAppController */

#import <Cocoa/Cocoa.h>
//#import "CODocument.h"
#import "COauxOpenPanelView.h"
#import "COauxSavePanelView.h"
#import "COauxSaveImagePanel.h"

@interface COAppController : NSObject
{
    IBOutlet NSWindow *greetWindow;
    IBOutlet NSPopUpButton *popUpSize;
	IBOutlet NSTextField *textField;
	IBOutlet NSMenu *plugInMenu;
	IBOutlet COauxOpenPanelView *auxFileView;
	IBOutlet COauxSavePanelView *saveFileViewAux;
    IBOutlet COauxSaveImagePanel *saveImageFileView;
	IBOutlet NSWindow *preferencesWindow;
	id theDocumentController;
	id COHelpController;
	int	num;
	NSOpenPanel *getaPanel;
    NSArray * typesOfImage;
	BOOL runningOnIntel;
}
- (void)coOpenFileName:(NSString *)pathName;
- (IBAction)changeInAuxView:(id)sender;
- (IBAction)openAFileType:(int)fileTypeNum size:(int)sizeNum place:(int)destinationNum;
- (void)openAPanelDidEnd:(NSOpenPanel *)sheet returnCode:(int)returnCode contextInfo:(void *)cinfo;; 
- (IBAction)openAFile:sender;
- (IBAction)Cancel:(id)sender;
- (IBAction)makeDocArray:(id)sender;
- (IBAction)makeGreet:(id)sender;
- (IBAction)sizeFound:(id)sender;
- (int)getChosenSize;
- (id)saveFileViewAux;
- (id)saveImageFileView;
- (int)num;
- (int)docColorNum;
- (NSArray*)typesOfImage;
- (int)numOfDocs;
- (IBAction)aboutCOHelp:(id)sender;
-(void)happenningsInTheMenu;
- (id)coHelpController;
- (void)preferencesWindow:(id)sender;
- (id)frontDoc;
- (id)theDocumentController;
- (IBAction)copy:sender;
- (IBAction)copyHisto:sender;
- (IBAction)copyBig:sender;
- (IBAction)paste:sender;
- (IBAction)pasteBig:sender;
- (IBAction)pasteMultiply:sender;
- (IBAction)pasteAddBig:sender;
- (IBAction)saveBigFile:sender;
- (IBAction)saveBinaryFile:sender;
- (IBAction)zonal:sender;
- (IBAction)complexConjugate:sender;
- (IBAction)timesI:sender;
- (IBAction)rescale:sender;
- (IBAction)multiplyBig:sender;
- (IBAction)addBig:sender;
- (IBAction)multiplyByBitmap:sender;
- (IBAction)multiplyByBitmap1_1:sender;
- (IBAction)multiplyByBinary1_0:sender;
- (IBAction)multiplyByBinary1_1:sender;
- (IBAction)multiplyBytesByBinary:sender;
- (IBAction)loadImageFile:sender;
- (IBAction)saveImagefile:sender;
- (IBAction)zeroReal:sender;
- (IBAction)zeroIm:sender;
- (IBAction)clearScreen:sender;
- (IBAction)directPropagation:sender;
- (IBAction)circularHarmonics:sender;
- (IBAction)phaseOnly:sender;
- (IBAction)fourier:(id)sender;
- (IBAction)invFourier:(id)sender;
- (IBAction)MagSquared:(id)sender;
- (IBAction)invertArray:(id)sender;
- (IBAction)randomReal:(id)sender;
- (IBAction)gaussian:(id)sender;
- (IBAction)rectToPolar:(id)sender;
- (IBAction)polarToRect:(id)sender;
- (IBAction)makeBigWindow:(id)sender;
- (IBAction)graph:(id)sender;
- (IBAction)oneDimFourier:(id)sender;
- (IBAction)oneDimInvFourier:(id)sender;
- (IBAction)oneDimHFourier:(id)sender;
- (IBAction)oneDimInvHFourier:(id)sender;
- (IBAction)walsh2D:(id)sender;
- (IBAction)walsh1D:(id)sender;
- (IBAction)rotate:(id)sender;
- (IBAction)runFilter:(id)sender;
- (IBAction)axicon:(id)sender;
@end
