//
//  workingView.h
//  CoherentOptics4
//
//  Created by Don Cottrell on 4/17/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CODocWinController.h"

@interface COWorkingView : NSView {
	NSBitmapImageRep *bitmapImage;
    id coWinCo;
	NSImage	*theImage;
	NSCursor *theViewCursor;
	int initedFlag,num,jc,jold;
	id theDoc;
	NSPoint startPoint,startCorner,startCoordinates;
    NSPoint centerPoint;
	SEL actionCO;
	BOOL enabledCO;
	BOOL continuousCO;
	NSBitmapImageRep *theStartBitmap;
	NSTrackingRectTag tracTag;
	NSMutableData *posNegTable,*posOnlyTable;
	NSBitmapImageRep * colorMaker;
	NSMutableArray * posNegColors, * posOnlyColors;
}
- (void)setBitmapImage:(NSBitmapImageRep *)b;
- (void)setTheImage:(NSImage*)x;
- (void)setTheDoc:(id)x;
- (void) setCoWinCo:(id)x;
- (void) setJc:(int)x;
- (void) setJold:(int)x;
- (SEL)actionCO;
- (void)setNewTracking;
- (void)setTheViewCursor:(NSCursor *)cur;
- (NSCursor *)getTheViewCursor;
	//  button functions
- (NSBitmapImageRep *)theStartBitmap;
- (NSBitmapImageRep *)colorMaker;
- (NSPoint) startPoint;
- (NSPoint) startCorner;
- (NSPoint) startCoordinates;
- (void)setActionCO:(SEL)S;
- (void)setEnabledCO:(BOOL)x;
- (void)setContinuousCO:(BOOL)x;
- (void)makeBitmapReps;
- (void)makeColorTables;
- (void)fixTheColor;
- (NSMutableArray *)posNegColors;
- (NSMutableArray *)posOnlyColors;
- (NSMutableData *)posNegTable;
- (NSMutableData *)posOnlyTable;
@end
